import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# spo site unarchive

Unarchives a site collection

## Usage

```sh
m365 spo site unarchive [options]
```

## Options

```md definition-list
`-u, --url <url>`
: URL of the site collection.

`-f, --force`
: Don't prompt for confirmation.
```

<Global />

## Remarks

:::info

To use this command, you must be a Global or SharePoint administrator.

:::

:::warning

If a site has been archived for more than **seven days**, reactivating it triggers a 120-day cooldown period during which you can't archive the site again.

:::

:::note

After running this command, it may take a few minutes for the site to be fully restored.

:::

## Examples

Unarchive a specific site collection.

```sh
m365 spo site unarchive --url "https://contoso.sharepoint.com/sites/Marketing"
```

Unarchive a specific site collection without confirmation prompt.

```sh
m365 spo site unarchive --url "https://contoso.sharepoint.com/sites/Marketing" --force
```

## Response

The command won't return a response on success.

## More information

- Pricing model for Microsoft 365 Archive: [https://learn.microsoft.com/microsoft-365/archive/archive-pricing](https://learn.microsoft.com/microsoft-365/archive/archive-pricing)
